#include <stdio.h>
#include <stdlib.h>
#include <time.h>

/* Groesse des Arrays */
const int maxsize = 100000;

void sort(int* array, int size);
int rnd(int range);
void seedrnd(void);

int main()
{
   int r[maxsize];
   int i;

   seedrnd();

   printf("Hier das unsortierte Array:\n");

   for (i = 0; i < maxsize; i++)
   {
      r[i] = rnd(1000);

      printf("%i\t", r[i]);
    }

   printf("\nEingabe druecken fuer Ausgabe:");
   getchar();
   printf("\n");

   printf("\nUnd hier sortiert:\n");

   sort(r, maxsize);

   for(i = 0; i < maxsize; i++)
      printf("%i\t", r[i]);

   return 0;
}

void sort(int* array, int size)
{
   int a, b, temp;

   for(a = 0; a < size - 1; a++)
   {
      for(b = a + 1; b < size; b++)
      {
         if(array[a] > array[b])
         {
            temp = array[b];
            array[b] = array[a];
            array[a] = temp;
         }
      }
   }
}

/* Zufallszahl von 1...range ziehen */
int rnd(int range)
{
	int r;
	r = rand() % range + 1;
	return r;
}

/* Zufallszahlengenerator initialisieren */
void seedrnd(void)
{
	srand((unsigned)time(NULL));
}
